Summary: OLPC XO keyboard support daemon
Name: olpc-kbdshim
Version: 25
Release: 1%{?dist}
License: GPLv2+
Group: System Environment/Base
URL: http://dev.laptop.org/git/users/pgf/olpc-kbdshim/tree/README
# Source0: the source tarball is created by "make tarball" from within
# a clone of this git tree: git://dev.laptop.org/users/pgf/olpc-kbdshim
Source0: olpc-kbdshim-25-git2ed1f27.tar.gz

BuildRequires: kernel-headers, pkgconfig, glib2-devel
BuildRequires: dbus-glib-devel, libudev-devel
ExclusiveArch: %{ix86} %{arm}

Requires: udev, upstart

%description
The olpc-kbdshim-udev daemon monitors the keyboard and touchpad,
enabling the XO "grab" keys and touchpad rotation (to match
screen rotation), and reporting user (in)activity.  It can also
bind the XO screen rotate, brightness, and volume keys to
appropriate commands (which are provided).

%prep
%setup -q

%build
export OPT_FLAGS="$RPM_OPT_FLAGS"
make

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/init

%{__install} -p -m 755 olpc-kbdshim-udev $RPM_BUILD_ROOT/%{_bindir}/olpc-kbdshim-udev
%{__install} -p -m 755 olpc-rotate $RPM_BUILD_ROOT/%{_bindir}/olpc-rotate
%{__install} -p -m 755 olpc-brightness $RPM_BUILD_ROOT/%{_bindir}/olpc-brightness
%{__install} -p -m 755 olpc-volume $RPM_BUILD_ROOT/%{_bindir}/olpc-volume
%{__install} -p -m 644 olpc-kbdshim-udev.upstart $RPM_BUILD_ROOT%{_sysconfdir}/init/olpc-kbdshim-udev.conf


%files
%defattr(-,root,root,-)
%doc README COPYING

%{_bindir}/olpc-kbdshim-udev
%{_bindir}/olpc-rotate
%{_bindir}/olpc-brightness
%{_bindir}/olpc-volume
%config(noreplace) %{_sysconfdir}/init/olpc-kbdshim-udev.conf


%changelog
* Thu Mar 12 2012 Paul Fox <pgf@laptop.org>
- 25-1
- merge of XO-3 touchscreen support, support for 1.75 touchscreens

* Fri Feb  3 2012 Paul Fox <pgf@laptop.org>
- 24-1
- use new psmouse driver control to disable touchpad in ebook mode
- implement absolute rotation selection in olpc-rotate

* Tue Nov 29 2011 Peter Robinson <pbrobinson@fedoraproject.org>
- 23-1
- Release 23

* Sat Nov 19 2011 Peter Robinson <pbrobinson@fedoraproject.org>
- 22-2
- cleanup spec

* Mon Nov 14 2011 Paul Fox <pgf@laptop.org>
- 22-1
- changing brightness no longer affects mono/color
- use ctrl-brightness-down/up will toggle mono/color

* Wed Oct 19 2011 Daniel Drake <dsd@laptop.org>
- 21-1
- Unmute audio on any volume change

* Fri Sep 16 2011 Daniel Drake <dsd@laptop.org>
- 20-1
- ebook mode improvements, XO-1.75 touchscreen support

* Thu Aug  4 2011 Daniel Drake <dsd@laptop.org>
- 19-1
- libudev port

* Sun Jun 26 2011 Peter Robinson <pbrobinson@fedoraproject.org>
- 17-2
- Add ARM to exclusive platforms

* Sun Feb 20 2011 Daniel Drake <dsd@laptop.org>
- 17-1
- new version, fixes rotation transforms

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- 16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 25 2011 Daniel Drake <dsd@laptop.org>
- 16-1
- use XRandR-1.2 for screen rotation

* Mon Nov  8 2010 Daniel Drake <dsd@laptop.org>
- 15-1
- fix rotation of d-pad
- honor flag file that indicates xrandr goes backwards
- ignore repeated rotate keys
- update for new hal addons location

* Fri Mar 12 2010 Paul Fox <pgf@laptop.org>
- 12-1
- reduce periodic logging
- bring olpc-kbdshim more in sync with olpc-kbdshim-hal (source changes only)
- experimental code for using dbad as a pointing device

* Wed Jan 20 2010 Paul Fox <pg@laptop.org>
- 11-1
- don't pass through command keystrokes when we have a command
  configured, even if that command fails.

* Tue Dec 29 2009 Paul Fox <pg@laptop.org>
- 10-1
- tell uinput not to autorepeat (thanks to daniel drake, d.l.o ticket #9690)

* Tue Dec  1 2009 Paul Fox <pg@laptop.org>
- 9-1
- add support for binding of local volume keys
- added olpc-volume script

* Tue Dec  1 2009 Paul Fox <pg@laptop.org>
- 9-1
- add support for binding of local volume keys
- added olpc-volume script

* Thu Jul 30 2009 Paul Fox <pg@laptop.org>
- 8-1
- add timestamps to events, to reduce racing during suspend/resume

* Tue Jul 27 2009 Paul Fox <pg@laptop.org>
- 7-1
- fix touchpad rotation for F-11, which includes X11 amd/geode
  driver that fixes the earlier rotation direction issue. 
  (2.11.x and later are fixed.)
- revise Makefile for easier pre-release management

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 10 2009 Paul Fox <pg@laptop.org>
- 6-4
- 6-3
- spec tweaks

* Sat Jun 6 2009 Paul Fox <pg@laptop.org>
- 6-2
- final acceptance review changes
- olpc-brightness added

* Mon May 4 2009 Paul Fox <pg@laptop.org>
- 6-1
- add local binding of rotate and brightness keys to
  eliminate sugar patching
- revise README

* Sat May 2 2009 Paul Fox <pg@laptop.org>
- 5-1
- we now "grab" the arrow keys so they cause scrolling too
- initial fedora review comments incorporated in spec file.

* Sun Apr 12 2009 Paul Fox <pgf@laptop.org>
- 4-1
- version numbering resync

* Sat Apr 11 2009 Paul Fox <pgf@laptop.org>
- 3-3
- fix sugar patch

* Tue Apr 7 2009 Paul Fox <pgf@laptop.org>
- 3-2
- convert to HAL-based operation

* Fri Mar 13 2009 Paul Fox <pgf@laptop.org>
- 2-2
- add comments to the post handler, fix rpmlint errors, rename
  LICENSING to COPYING

